com.independentsoft.exchange

## Class WebProtocol

- java.lang.Object
- - com.independentsoft.exchange.WebProtocol

-     public class WebProtocol
      extends java.lang.Object

  E-mail is accessed from a Web browser by using the URL that is specified in the Server (POX) element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebProtocol()` Initializes a new instance of the WebProtocol class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExternalAccess` | `getExternalAccess()` Gets the Outlook Web Access URLs that a client can connect to when it is outside the firewall.
    `InternalAccess` | `getInternalAccess()` Gets the Outlook Web Access URLs that a client can connect to when it is inside the firewall.
    `ProtocolType` | `getType()` Gets the type of the configured mail account.
    `void` | `setExternalAccess(ExternalAccess externalAccess)` Sets the Outlook Web Access URLs that a client can connect to when it is outside the firewall.
    `void` | `setInternalAccess(InternalAccess internalAccess)` Sets the Outlook Web Access URLs that a client can connect to when it is inside the firewall.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebProtocol

          public WebProtocol()

      Initializes a new instance of the WebProtocol class.

  - ### Method Detail

    - #### getType

          public ProtocolType getType()

      Gets the type of the configured mail account.
      Returns:
        the type

    - #### getInternalAccess

          public InternalAccess getInternalAccess()

      Gets the Outlook Web Access URLs that a client can connect to when it is inside the firewall.
      Returns:
        the internal access

    - #### setInternalAccess

          public void setInternalAccess(InternalAccess internalAccess)

      Sets the Outlook Web Access URLs that a client can connect to when it is inside the firewall.
      Parameters:
        `internalAccess` - the new internal access

    - #### getExternalAccess

          public ExternalAccess getExternalAccess()

      Gets the Outlook Web Access URLs that a client can connect to when it is outside the firewall.
      Returns:
        the external access

    - #### setExternalAccess

          public void setExternalAccess(ExternalAccess externalAccess)

      Sets the Outlook Web Access URLs that a client can connect to when it is outside the firewall.
      Parameters:
        `externalAccess` - the new external access